REST APIHealth and approvals

Account health and approvals

Guardian status and actions waiting for approval.

Account health

GET/api/guardianscope: read
curl https://www.zieads.com/api/guardian \
  -H "Authorization: Bearer zk_your_key"
Response 200
{
  "data": {
    "connections": [
      {
        "platform": "facebook",
        "platform_username": "Kopi Kita",
        "status": "live",
        "token_expires_at": "2026-11-09T00:00:00Z"
      }
    ],
    "problem_posts": [],
    "reliability": {
      "due": 14,
      "published": 14,
      "on_time": 14,
      "failed": 0,
      "on_time_rate": 100
    }
  }
}

Waiting for approval

GET/api/actionsscope: read
curl https://www.zieads.com/api/actions \
  -H "Authorization: Bearer zk_your_key"
Response 200
{
  "data": {
    "actions": [
      {
        "id": "0c7e...",
        "kind": "schedule_post",
        "title": "Schedule a instagram post from Zapier",
        "created_by": "mcp",
        "created_at": "2026-11-03T07:20:00Z"
      }
    ]
  }
}